mockchain(1)

NAME
mockchain - chain package builder.

SYNOPSIS
mockchain -r chroot_config [options] [package...]

DESCRIPTION

mockchain builds a series of srpms in mock one at a time. After each successful build of a package it adds the resulting packages to a local repo which are available to the next package to satisfy buildreqs.

USAGE NOTES

This does not try to sort the packages by build order b/c that is too much effort and not obviously doable with the buildreq information we have.

The build process when you use -l is idempotent so a package which has already been successfully built will not be built again.

If you want to force the rebuild of a package which has been built successfully simply remove the 'success' file from the directory for the package in the localrepo path.

OPTIONS

-a REPOS, --addrepo=REPOS
    add this repo baseurl to the yumconfig for the buildroot. This can be specified multiple times. Let's you point to multiple paths beyond the default to pull build deps from.

-c, --continue
    if a pkg fails to build, continue to the next one, default is to stop

-l LOCALREPO, --localrepo=PATH
    set the path to put the results/repo in. This path needs to be somewhere accessible to users other than you for reading as the mock process doesn't run as you. Will make a tempdir if not set.

--log=LOGFILE
    log to the file named by this option, defaults to not logging

-r CHROOT, --root=CHROOT
    chroot config name to use in the mock build

--recurse
    build all pkgs, record the failures and try to rebuild them again and again until everything gets built (or until the set of pkgs failing to build are the same over) sets --continue

AUTHORS
Seth Vidal <skvidal@fedoraproject.org>